package ABG;

import java.sql.*;

public class Admn
	{
	int id_usr;
	public void CrearAdmn(int id_spradmn,String tprls, String lgn, String psswrd) throws Exception
		{
		try
			{
			ABG.Usuarios usr=new ABG.Usuarios();
			id_usr=usr.CrearUsuarios(tprls,lgn,psswrd);
			GuardarAdmn(id_spradmn,id_usr);
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public void GuardarAdmn(int id_spradmn,int id_usr) throws Exception
		{
		try
			{
			int id_admn=0;
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("select max(id_admn) from admn");
			while(rs.next())
				{
				id_admn=rs.getInt(1);
				} 
			id_admn++;
			
			stmt.executeUpdate("insert into admn(id_admn,id_spradmn,id_usr)"+ 
			                   " values("+id_admn+","+id_spradmn+","+id_usr+")");
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public boolean VerificarSimilitud(String lgn) throws Exception
		{
		try
			{
			boolean band=false;
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("select (id_usr) from usuarios where lgn='"+lgn+"'");
			while(rs.next())
				{
				band=true;
				} 
			return band;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return false;
			}
		}
	
	public void AdicionarDatos(String id_usr, String nmbr, String drccn, String tlfn, String  email) throws Exception
		{
		try
			{
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			stmt.executeUpdate("Update admn set NMBR='"+nmbr+"',DRCCN='"+drccn+"',TLFN='"+tlfn+"',EMAIL='"+email+"' where id_usr="+Integer.parseInt(id_usr));
			stmt.executeUpdate("UPDATE usuarios SET updt=1 where id_usr="+Integer.parseInt(id_usr));
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	
	public int getIdAdmn(int id_usr)
		{
		int id_admn=0;
		try
			{
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("Select id_admn from admn where id_usr="+id_usr);
			while(rs.next())
				{
				id_admn=rs.getInt(1);
				}
			return id_admn;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return -1;
			}
		}
	
	public ResultSet getPrfsr(int id_usr) throws Exception
		{
		try
			{
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT"+ 
										  " usuarios.LGN,"+
										  " usuarios.PSSWRD,"+
										  " profesores.ID_USR,"+
										  " profesores.ID_PRFSR,"+
										  " profesores.NMBR,"+
										  " profesores.DRCCN,"+
										  " profesores.TLFN,"+
										  " profesores.EMAIL"+
										  " FROM"+
										  " usuarios,"+
										  " profesores,"+
										  " admn"+
										  " WHERE"+
										  " (admn.ID_USR = "+id_usr+") AND "+
										  " (profesores.ID_ADMN = "+getIdAdmn(id_usr)+") AND "+
										  " (profesores.ID_USR = usuarios.ID_USR)");
			return rs;
			}
		catch(Exception e)	
			{
			System.out.println(e);
			return null;
			}
		}
	
	
	
	public ResultSet getEmprs(int id_usr) throws Exception
		{
		try
			{
			ABG.ConexionBD CBD=new ABG.ConexionBD();
		    Connection con=CBD.ConectarBD();
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT" +
										   " usuarios.LGN,"+
										   " usuarios.PSSWRD,"+
										   " empresas.ID_EMPRS,"+
										   " empresas.ID_USR,"+
										   " empresas.NMBREMPRS,"+
										   " empresas.DRCCNEMPRS,"+
										   " empresas.TLFN,"+
										   " empresas.EMAIL"+
										   " FROM"+
										   " empresas,"+
										   " admn,"+
										   " usuarios"+
										   " WHERE"+
										   " (admn.ID_USR = "+id_usr+") AND "+
										   " (empresas.ID_ADMN = "+getIdAdmn(id_usr)+") AND"+ 
										   " (empresas.ID_USR = usuarios.ID_USR)");
			return rs;
			}
		catch(Exception e)	
			{
			System.out.println(e);
			return null;
			}
		}
	}