package ABG;

import java.sql.*;

public class Empresa
	{
	int id_usr;
	int id_emprs;
	ABG.ConexionBD CBD=new ABG.ConexionBD();
	Connection con=CBD.ConectarBD();
		
	public void CrearEmpresa(int id_admn,String tprls, String lgn, String psswrd) throws Exception
		{
		try
			{
			ABG.Usuarios usr=new ABG.Usuarios();
			id_usr=usr.CrearUsuarios(tprls,lgn,psswrd);
			GuardarEmpresa(id_admn,id_usr);
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public void GuardarEmpresa(int id_admn,int id_usr) throws Exception
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("select max(id_emprs) from Empresas");
			while(rs.next())
				{
				id_emprs=rs.getInt(1);
				} 
			id_emprs++;
			
			stmt.executeUpdate("insert into Empresas(id_emprs,id_admn,id_usr)"+ 
			                   " values("+id_emprs+","+id_admn+","+id_usr+")");
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public boolean VerificarSimilitud(String lgn) throws Exception
		{
		try
			{
			boolean band=false;
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("select (id_usr) from usuarios where lgn='"+lgn+"'");
			while(rs.next())
				{
				band=true;
				} 
			return band;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return false;
			}
		}
	
	public void AdicionarDatos(String id_usr, 
	                           String nmbr,
							   String drctremps,
							   String drctrcmrcl,
						 	   String prsdnt,
							   String drctrfnnzs,
							   String drctrrcrsshmns,
							   String drctrprdccn,
							   String drctrmrktng,
							   String tlfn,
							   String email,
							   String drccn,
							   String msn,
							   String vsn,
							   String objtvgnrl,
							   String estrtg) throws Exception
		{
		try
			{
			Statement stmt = con.createStatement();
			stmt.executeUpdate("Update empresas set"+
			                   " NMBREMPRS='"+nmbr+"',"+
                               " DRCTREMPRS='"+drctremps+"',"+
							   " DRCTRCMRCL='"+drctrcmrcl+"',"+
							   " PRSDNT='"+prsdnt+"',"+
							   " DRCTRFNNZS='"+drctrfnnzs+"',"+
							   " DRCTRRH='"+drctrrcrsshmns+"',"+
							   " DRCTPRDCCN='"+drctrprdccn+"',"+
							   " DRCTRMRKTNG='"+drctrmrktng+"',"+
							   " TLFN='"+tlfn+"',"+
							   " EMAIL='"+email+"',"+
							   " DRCCNEMPRS='"+drccn+"',"+
							   " MSN='"+msn+"',"+
							   " VSN='"+vsn+"',"+
							   " OBJTVGNRL='"+objtvgnrl+"',"+
							   " ESTRTG='"+estrtg+"'"+
			                   " where id_usr="+Integer.parseInt(id_usr));
			stmt.executeUpdate("UPDATE usuarios SET updt=1 where id_usr="+Integer.parseInt(id_usr));
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public ResultSet getEmpresa(int id_admn)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT "+
										   " usuarios.LGN"+
										   " FROM"+
										   " usuarios,"+
										   " admn,"+
										   " empresas"+
										   " WHERE"+
										   " (admn.ID_ADMN = empresas.ID_ADMN) AND "+
										   " (usuarios.ID_USR = empresas.ID_USR) AND"+ 
										   " (admn.ID_ADMN = "+id_admn+")");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	
	public int getIdEmprs(int id_admn,String lgn)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT" +
									       " empresas.ID_EMPRS"+
										   " FROM"+
										   " usuarios,"+
										   " empresas,"+
										   " admn"+
										   " WHERE"+
										   " (usuarios.ID_USR = empresas.ID_USR) AND "+
										   " (empresas.ID_ADMN = "+id_admn+") AND "+
										   " (usuarios.LGN = '"+lgn+"')");
			while(rs.next())
				{
				id_emprs=rs.getInt(1);
				}
			return id_emprs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return -1;
			}
		}

	public ResultSet getJgPrd(String id_usr)
		{
		try
			{
			Statement stmt=con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT "+
										   " juegos.NMBR,"+
										   " periodos.NMRPRD"+
										   " FROM"+
										   " juegos,"+
										   " empresas,"+
										   "  periodos"+
										   " WHERE"+
										   " (empresas.ID_JGS = juegos.ID_JGS) AND "+
										   " (juegos.ID_JGS = periodos.ID_JGS) AND "+
										   " (empresas.ID_EMPRS = "+getIdEmprs(id_usr)+") AND "+
										   " (periodos.UPDTPRMTRS = 1)");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	public int getIdEmprs(String id_usr)
		{
		try
			{
			Statement stmt=con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT empresas.ID_EMPRS FROM empresas WHERE (empresas.ID_USR = "+Integer.parseInt(id_usr)+")");
			while(rs.next())
				{
				id_emprs=rs.getInt(1);
				}
			return id_emprs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return -1;
			}
		}
	
	}