package ABG;

import java.sql.*;
import java.util.*;

public class Periodos
	{
	ABG.ConexionBD CBD=new ABG.ConexionBD();
	Connection con=CBD.ConectarBD();
	int id_prd;
				
	public void GuardarPeriodos(int id_jgs)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("select max(id_prd) from periodos");
			while(rs.next())
				{
				id_prd=rs.getInt(1);
				} 
			id_prd++;
			stmt.executeUpdate("insert into periodos (id_prd,id_jgs,nmrprd,updtprmtrs,updtcrrjg) values("+id_prd+","+id_jgs+",1,0,0)");
			}
		catch(Exception e)
			{
			System.out.println(e+"Aqui en Periodos");
			}
		}
	public ResultSet getPeriodos(int id_jgs)	
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("Select ID_PRD,NMRPRD,UPDTPRMTRS,UPDTCRRJG FROM periodos where (id_jgs="+id_jgs+")");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	
	public void UpdtPrdJg(int id_prd)
		{
		try
			{
			Statement stmt = con.createStatement();
			stmt.executeUpdate("UPDATE periodos SET UPDTPRMTRS = 1 WHERE id_prd = "+id_prd);
			}
		catch(Exception e)
			{
			System.out.println(e);
			}
		}
	
	public ResultSet getPrdctPrdJg(String nmbr)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT "+
										   " productos.ID_PRDCT,"+
										   " productos.NMBR,"+
										   " productos.DSCRPCN"+
										   " FROM"+
										   " juegos,"+
										   " mercados,"+
										   " mrcd_prdct,"+
										   " productos"+
										   " WHERE"+
										   " (juegos.ID_MRCDS = mercados.ID_MRCDS) AND "+
										   " (mercados.ID_MRCDS = mrcd_prdct.ID_MRCDS) AND "+
										   " (mrcd_prdct.ID_PRDCT = productos.ID_PRDCT) AND "+
										   " (juegos.NMBR = '"+nmbr+"')"+
										   " ORDER BY"+
										   " productos.ID_PRDCT");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	
	public ResultSet getRgnPrdJg(String nmbr)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT"+ 
										   " regiones.ID_RGN,"+ 
										   " regiones.NMBR,"+ 
										   " regiones.DSCRPCN"+ 
										   " FROM"+ 
										   " regiones,"+ 
										   " juegos,"+ 
										   " mercados,"+ 
										   " mrcd_rgn"+ 
										   " WHERE"+ 
										   " (juegos.ID_MRCDS = mercados.ID_MRCDS) AND "+ 
										   " (mercados.ID_MRCDS = mrcd_rgn.ID_MRCDS) AND "+ 
										   " (mrcd_rgn.ID_RGN = regiones.ID_RGN) AND "+ 
										   " (juegos.NMBR = '"+nmbr+"')"+ 
										   " ORDER BY"+ 
										   " regiones.ID_RGN");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	
	public ResultSet getMPPrdJg(String nmbr)
		{
		try
			{
			Statement stmt = con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT"+ 
										   " materiaprima.ID_MTRPRM,"+ 
										   " materiaprima.NMBR,"+ 
										   " materiaprima.DSCRPCN"+ 
										   " FROM"+ 
										   " productos,"+ 
										   " materiaprima,"+ 
										   " juegos,"+ 
										   " mercados,"+ 
										   " mrcd_prdct,"+ 
										   " mtrprm_prdct"+ 
										   " WHERE"+ 
										   " (juegos.ID_MRCDS = mercados.ID_MRCDS) AND "+ 
										   " (mercados.ID_MRCDS = mrcd_prdct.ID_MRCDS) AND "+ 
										   " (mrcd_prdct.ID_PRDCT = productos.ID_PRDCT) AND "+ 
										   " (juegos.NMBR = '"+nmbr+"') AND "+ 
										   " (materiaprima.ID_MTRPRM = mtrprm_prdct.ID_MTRPRM) AND "+ 
										   " (productos.ID_PRDCT = mtrprm_prdct.ID_PRDCT)"+ 
										   " ORDER BY"+ 
										   " materiaprima.ID_MTRPRM");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	public ResultSet getPblcddRgnlPrd(String nmbr)
		{
		try
			{
			Statement stmt=con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT"+ 
										   " publicidadpts.ID_TPPBLCDD,"+ 
										   " publicidadpts.ID_ALCNC,"+ 
										   " publicidadpts.ID_PRD,"+ 
										   " publicidadpts.VLR,"+ 
										   " publicidadpts.TPPTS,"+ 
										   " publicidad.NMBR"+ 
										   " FROM"+ 
										   " periodos,"+ 
										   " juegos,"+ 
										   " publicidadpts,"+ 
										   " publicidad,"+ 
										   " alcance"+ 
										   " WHERE"+ 
										   " (juegos.NMBR = '"+nmbr+"') AND "+ 
										   " (periodos.ID_JGS = juegos.ID_JGS) AND "+ 
										   " (periodos.UPDTPRMTRS = 1) AND "+ 
										   " (periodos.UPDTCRRJG = 0) AND "+ 
										   " (alcance.NMBR = 'Regional') AND "+ 
										   " (alcance.ID_ALCNC = publicidadpts.ID_ALCNC) AND "+ 
										   " (publicidad.ID_TPPBLCDD = publicidadpts.ID_TPPBLCDD)"+ 
										   " ORDER BY"+
										   " publicidadpts.ID_TPPBLCDD");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	public ResultSet getPblcddNcnlPrd(String nmbr)
		{
		try
			{
			Statement stmt=con.createStatement();
			ResultSet rs=stmt.executeQuery("SELECT"+ 
										   " publicidadpts.ID_TPPBLCDD,"+ 
										   " publicidadpts.ID_ALCNC,"+ 
										   " publicidadpts.ID_PRD,"+ 
										   " publicidadpts.VLR,"+ 
										   " publicidadpts.TPPTS,"+ 
										   " publicidad.NMBR"+ 
										   " FROM"+ 
										   " periodos,"+ 
										   " juegos,"+ 
										   " publicidadpts,"+ 
										   " publicidad,"+ 
										   " alcance"+ 
										   " WHERE"+ 
										   " (juegos.NMBR = '"+nmbr+"') AND "+ 
										   " (periodos.ID_JGS = juegos.ID_JGS) AND "+ 
										   " (periodos.UPDTPRMTRS = 1) AND "+ 
										   " (periodos.UPDTCRRJG = 0) AND "+ 
										   " (alcance.NMBR = 'Nacional') AND "+ 
										   " (alcance.ID_ALCNC = publicidadpts.ID_ALCNC) AND "+ 
										   " (publicidad.ID_TPPBLCDD = publicidadpts.ID_TPPBLCDD)"+ 
										   " ORDER BY"+
										   " publicidadpts.ID_TPPBLCDD");
			return rs;
			}
		catch(Exception e)
			{
			System.out.println(e);
			return null;
			}
		}
	
	}